%define module_name Address-PostCode-Australia
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Address/PostCode/UserAgent.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Moo.pm) perl(Test/More.pm) perl(Throwable.pm) perl(namespace/autoclean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.12
Release: alt1
Summary: Interface to the Australia PostCode.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MA/MANWAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Interface to the API provided by AusPost.

To use the API, you would need auth key, which you can get it here.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/A*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Wed Jan 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

